Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## djbuch.kapitel_05
Class MyServlet

    java.lang.Object
      |
      +--HttpServlet
            |
            +--djbuch.kapitel_05.MyServlet

public class MyServlet
extends HttpServlet

Author:
  Thomas Ekert
See Also:
  Serialized Form

Constructor Summary
`MyServlet()`

Method Summary
`void` | `doGet(HttpServletRequest req, HttpServletResponse resp)` Einfaches SingleSignOn Servlet.
`void` | `doPost(HttpServletRequest req, HttpServletResponse resp)` Redirecten des Posts auf den get.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MyServlet

    public MyServlet()

Method Detail

### doGet

    public void doGet(HttpServletRequest req,
                      HttpServletResponse resp)
               throws ServletException,
                      java.io.IOException

  Einfaches SingleSignOn Servlet.
  Voraussetzungen
  - Servlet läuft auf einem WebSphere Server.
  - WebSphere und Domino basieren auf dem gleichen User Repository (Domino als LDAP)
  - WebSphere ist für SSO eingerichtet, benutzt den Domino als LDAP und allgemeine Sicherheit ist aktiv
  - Der LtpaToken Key wurde von WebSphere exportiert und nach Domino importiert.
  - Domino ist für SSO konfiguriert.
  - Beide benutzen die gleiche LDAP Realm (wird beim Import des Keys eingetragen.)
  - Über den Webimplementierunsdeskriptor wurde die Sicherheit so eingerichtet,
  dass sich alle authentifizierten Benutzer anmelden dürfen.
  - Anzumeldende Benuzter müssen im Domino Directory vorliegen.
  - Im Login Fenster als cn=Vorname Nachname, o=ORGANISATION anmelden.
  Dies entspricht einem Domino Benutzer mit Namen "Vorname Nachname/ORGANISATION"

    `ServletException`
    `java.io.IOException`

### doPost

    public void doPost(HttpServletRequest req,
                       HttpServletResponse resp)
                throws ServletException,
                       java.io.IOException

  Redirecten des Posts auf den get.

    `ServletException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD